
QGIS Application - Bug report #14369

Floating point exception (core dumped)

2016-02-24 01:10 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22352

Description

While zooming in hard for debugging https://trac.osgeo.org/postgis/ticket/3464 (with TopoViewer), got fp exception on rendering

Core was generated by `output/bin/qgis'.

Program terminated with signal SIGFPE, Arithmetic exception.

#0  0x00007feb85e15869 in QHashData::nextNode(QHashData::Node*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

(gdb) bt          

#0  0x00007feb85e15869 in QHashData::nextNode(QHashData::Node*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#1  0x00007feb8679bdb9 in QHash<QString, QHashDummyValue>::const_iterator::operator++ (this=0x7fead77fe7b0) at

/usr/include/qt4/QtCore/qhash.h:427

#2  0x00007feb8679acba in QSet<QString>::const_iterator::operator++ (this=0x7fead77fe7b0) at

/usr/include/qt4/QtCore/qset.h:155

#3  0x00007feb86799b1f in QSet<QString>::toList (this=0x7feb87e203f8

<QgsMapRendererParallelJob::renderLayerStatic(LayerRenderJob&)::running>)

    at /usr/include/qt4/QtCore/qset.h:303

#4  0x00007feb868fd331 in QSet<QString>::values (this=0x7feb87e203f8

<QgsMapRendererParallelJob::renderLayerStatic(LayerRenderJob&)::running>)

    at /usr/include/qt4/QtCore/qset.h:232

#5  0x00007feb86dedad8 in QgsMapRendererParallelJob::renderLayerStatic (job=...)

    at /usr/src/qgis/qgis-master/src/core/qgsmaprendererparalleljob.cpp:274

#6  0x00007feb86df2a2a in QtConcurrent::FunctionWrapper1<void, LayerRenderJob&>::operator() (this=0x1a7fc58, u=...)

    at /usr/include/qt4/QtCore/qtconcurrentfunctionwrappers.h:86

#7  0x00007feb86df2526 in QtConcurrent::MapKernel<QList<LayerRenderJob>::iterator,

QtConcurrent::FunctionWrapper1<void, LayerRenderJob&> >::runIteration (this=0x1a7fc20, it=...) at

/usr/include/qt4/QtCore/qtconcurrentmapkernel.h:73

#8  0x00007feb86df2608 in QtConcurrent::MapKernel<QList<LayerRenderJob>::iterator,

QtConcurrent::FunctionWrapper1<void, LayerRenderJob&> >::runIterations (this=0x1a7fc20, sequenceBeginIterator=...,

beginIndex=0, endIndex=1) at /usr/include/qt4/QtCore/qtconcurrentmapkernel.h:82

#9  0x00007feb86df2ec1 in QtConcurrent::IterateKernel<QList<LayerRenderJob>::iterator, void>::forThreadFunction

(this=0x1a7fc20)

    at /usr/include/qt4/QtCore/qtconcurrentiteratekernel.h:263

#10 0x00007feb86df28fa in QtConcurrent::IterateKernel<QList<LayerRenderJob>::iterator, void>::threadFunction

(this=0x1a7fc20)

    at /usr/include/qt4/QtCore/qtconcurrentiteratekernel.h:225

#11 0x00007feb85dec005 in QtConcurrent::ThreadEngineBase::run() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#12 0x00007feb85dedfee in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#13 0x00007feb85dfa32f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#14 0x00007feb7debf182 in start_thread (arg=0x7fead77ff700) at pthread_create.c:312

#15 0x00007feb848e747d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
https://trac.osgeo.org/postgis/ticket/3464


Related issues:

Related to QGIS Application - Bug report # 14360: Failed ASSERT: "!running.co... Closed 2016-02-22

Associated revisions

Revision 31c788d7 - 2016-02-25 05:14 AM - Martin Dobias

Fix rendering crash in debug mode (fixes #14369)

Introduced in b6de1971 due to the use of static variables in a function that is called from multiple threads.

Further changes to logging:

- also works when sequential rendering is used

- also works in release mode (to allow checking of rendering speed in normal QGIS release)

History

#1 - 2016-02-24 08:23 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"31c788d7f7cdbacb06c06b93cd3ba599e2fa29b8".
